from setuptools import setup, find_packages

with open("README.md", 'r') as readme_file:
    readme = readme_file.read()

setup(
  name = 'pytorch-ema',
  packages = find_packages(exclude=[]),
  version = '1.1.0',
  license='MIT',
  description = 'Exponential moving average for pytorch',
  author = 'Markus Näther',
  author_email = 'naether.markus@gmail.com',
  long_description = readme,
  long_description_content_type = 'text/markdown',
  url = 'https://github.com/naetherm/torch_ema',
  keywords = [
    'artificial intelligence',
    'machine learning',
    'deep learning',
    'exponential moving average',
    'pytorch'
  ],
  install_requires=[
    'torch>=1.6',
  ],
  classifiers=[
    'Topic :: Scientific/Engineering :: Artificial Intelligence',
    'License :: OSI Approved :: MIT License',
    'Programming Language :: Python :: 3.6',
  ],
)
